Method: projects.locations.collections.engines.sessions.alphaEvolveExperiments.acquirePrograms

Acquires one or more AlphaEvolveProgram from the generated queue of programs for evaluation.

HTTP request

POST https://discoveryengine.googleapis.com/v1alpha/{parent=projects/*/locations/*/collections/*/engines/*/sessions/*/alphaEvolveExperiments/*}:acquirePrograms

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource name (AlphaEvolveExperiment) of the AlphaEvolveExperiment. Format: projects/{project}/locations/{location}/collections/{collection}/engines/{engine}/sessions/{session}/alphaEvolveExperiments/{alphaEvolveExperiment}

Request body

The request body contains data with the following structure:

JSON representation
{
  "desiredProgramsCount": integer
}
Fields
desiredProgramsCount

integer

Optional. Number of evolved programs to acquire. If not set, the default value is 1.

Response body

Response message for AlphaEvolveService.AcquirePrograms.

If successful, the response body contains data with the following structure:

JSON representation
{
  "programs": [
    {
      object (AlphaEvolveProgram)
    }
  ]
}
Fields
programs[]

object (AlphaEvolveProgram)

Output only. List of acquired program candidates to be evaluated. Note: The number of programs acquired might be lower than requested.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

For more information, see the Authentication Overview.